from rest_framework import serializers
from .models import SachetAnalysisModel, SachetFaultModel, SachetDefectModel, SachetAnalysisWorkFlowModel
from .models_analysis import SachetAlcModel

class SachetAnalysisSerializer(serializers.ModelSerializer):
    class Meta:
        fields = ('__all__')
        model = SachetAnalysisModel

    

class SachetFaultSerializer(serializers.ModelSerializer):
    class Meta:
        fields = ('__all__')
        model = SachetFaultModel



class SachetDefectSerializer(serializers.ModelSerializer):
    class Meta:
        fields = ('__all__')
        model = SachetDefectModel


class LineAnalysisWorkFlowSerializer(serializers.ModelSerializer):
    class Meta:
        fields = ('__all__')
        model = SachetAnalysisWorkFlowModel




class SachetAlcSerializer(serializers.ModelSerializer):
    class Meta:
        fields = ('__all__')
        model = SachetAlcModel
